﻿//////////////////////////////////////////////
// TextureWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT TextureWrapper final
	{
		private :

			// Constructor, destructor
			TextureWrapper () = delete ;
			~TextureWrapper () = delete ;

		public :

			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// Load
			static nkScripts::OutputValue load (const nkScripts::DataStack& stack) ;
			static nkScripts::OutputValue unload (const nkScripts::DataStack& stack) ;
	} ;
}