﻿//////////////////////////////////////////////
// TestStackLevel.h
// 
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkDebug
#include "../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/BufferCast.h>
#include <NilkinsMemory/Containers/String.h>

/// Class ------------------------------------

namespace nkDebug
{
	struct TestStackLevel final
	{
		nkMemory::String _functionName ;

		unsigned int _line = 0u ;
	} ;

	template class DLL_NKDEBUG_EXPORT nkMemory::BufferCast<TestStackLevel> ;
}